package com.team5.aLife.BaseStation;

public class ALifeNotificationSetup {
	
	private int ID;
	private int deviceID;
	private int userID;
	private int notificationType;
	private String triggeringCondition;
	
	public ALifeNotificationSetup()
	{
		//  Do nothing
	}
	
	public ALifeNotificationSetup(int deviceID, int userID, int notificationType,
								  String triggeringCondition)
	{
		this.deviceID = deviceID;
		this.userID = userID;
		this.notificationType = notificationType;
		this.triggeringCondition = triggeringCondition;
		
	}
	
	public ALifeNotificationSetup(int ID, int deviceID, int userID, int notificationType,
			  String triggeringCondition)
	{
		this.ID = ID;
		this.deviceID = deviceID;
		this.userID = userID;
		this.notificationType = notificationType;
		this.triggeringCondition = triggeringCondition;
	
	}
	
	public int getID(){
		return ID;
	}
	
	public void setID(int ID){
		this.ID = ID;
	}
	
	public int getDeviceID(){
		return deviceID;
	}

	public void setDeviceID(int deviceID){
		this.deviceID = deviceID;
	}
	
	public int getUserID(){
		return userID;
	}
	
	public void setUserID(int userID){
		this.userID = userID;
	}
	
	public int getNotificationType(){
		return notificationType;
	}
	
	public void setNotificationType(int notificationType){
		this.notificationType = notificationType;
	}
	
	public String getTriggeringCondition(){
		return triggeringCondition;
	}
	
	public void setTriggeringCondition(String triggeringCondition){
		this.triggeringCondition = triggeringCondition;
	}
	
}
